package com.xhly.manageapp.network.app

import com.xhly.corelib.network.bean.ResponseData
import com.xhly.manageapp.bean.AppModel
import com.xhly.manageapp.bean.ListAppBean
import com.xhly.manageapp.bean.UpdateBean
import com.xhly.manageapp.network.UriAdress
import retrofit2.http.Body
import retrofit2.http.POST

interface AppService {
    /**
     * 获得应用列表包含必装应用和推荐
     */
    @POST(UriAdress.LIST_APP)
    suspend fun postListApp(@Body listapp: ListAppBean): ResponseData<ArrayList<AppModel>>

    @POST(UriAdress.FORCEAPP)
    suspend fun postForceApp(): ResponseData<ArrayList<AppModel>>

    /**
     * 获得版本更新，用来统计版本更新消息，而不是用来版本更新
     */
    @POST(UriAdress.CLIENT_ADD)
    suspend fun postClientAdd(@Body updateBean: UpdateBean): ResponseData<Any>
}